org.apache.commons.jexl.util

## Class EnumerationIterator

- java.lang.Object
- - org.apache.commons.jexl.util.EnumerationIterator

All Implemented Interfaces:
  java.util.Iterator

    public class EnumerationIterator
    extends java.lang.Object
    implements java.util.Iterator

An Iterator wrapper for an Enumeration.

Since:
  1.0
Version:
  $Id: EnumerationIterator.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Constructor Summary

Constructors
Constructor and Description
`EnumerationIterator(java.util.Enumeration enumer)` Creates a new iteratorwrapper instance for the specified Enumeration.

### Method Summary

Methods
`boolean` `hasNext()` Check to see if there is another element in the array.
`java.lang.Object` `next()` Move to next element in the array.
`void` `remove()` Unimplemented.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnumerationIterator

    public EnumerationIterator(java.util.Enumeration enumer)

Creates a new iteratorwrapper instance for the specified Enumeration.

Parameters:
  `enumer` - The Enumeration to wrap.

### Method Detail

#### next

    public java.lang.Object next()

Move to next element in the array.

Specified by:
  `next` in interface `java.util.Iterator`
Returns:
  The next object in the array.

#### hasNext

    public boolean hasNext()

Check to see if there is another element in the array.

Specified by:
  `hasNext` in interface `java.util.Iterator`
Returns:
  Whether there is another element.

#### remove

    public void remove()

Unimplemented. No analogy in Enumeration

Specified by:
  `remove` in interface `java.util.Iterator`